Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #960 (new task)

Opened 16 years ago

Last modified 14 years ago

rpmbuild doesn't work against snapshot

Reported by: pichon Assigned to: mrenzmann
Priority: minor Milestone:
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

In case you do a rpmbuild --ta madwifi-ng-current.tar.gz you got an error and nothing is done!

Change History

10/18/06 12:07:04 changed by pichon

rpmbuild --ta madwifi-ng-current.tar.gz Enter pass phrase: Pass phrase is good. error: File /home/pichon/Work/Linux-Projects/Madwifi-project/madwifi-ng-r1754-20061018.tar.gz: No such file or directory

Problem is in the %prep section of the madwifi.spec file.

10/18/06 13:02:28 changed by mrenzmann

It will be hard to solve that. madwifi-ng-current.tar.gz is implemented on the server as symlink to the latest madwifi-ng snapshot and is adjusted whenever a new snapshot is available. The only way to solve that would be to build an actual -current tarball with correct information in madwifi.spec, but to be frank, I don't want to make that unless there is no other solution.

I suggest to avoid running rpmbuild against madwifi-ng-current.tar.gz - it should be used on the actual snapshot tarball instead, for example madwifi-ng-r1754-20061018.tar.gz.

10/18/06 14:31:52 changed by pichon

The main issue is that the tar filename is (and as to be) hardcoded in the .spec file.

Currently it is hardcode : madwifi-ng-r<revision>-<generation date>.tar.gz

It should be more : madwifi-ng-current.tar.gz which is usally the file downloaded from the http://snapshots.madwifi.org/

My suggestion is then to update the madwifi.spec AND the script which build the snapshot in order to name the Source0 madwifi-ng-current.tar.gz

10/19/06 06:52:23 changed by mrenzmann

This will break rpmbuild compatibility for the snapshots that are named madwifi-ng-r<revision>-<date>.tar.gz, which (to me) does not make much sense.

10/19/06 21:31:51 changed by pichon

  • priority changed from major to minor.
  • status changed from new to closed.
  • resolution set to wontfix.

Mike, you are probably right, as we cannot do both, lets keep it like that. I'll update the wiki in order to inform the user that when downloading the current.tar they need to rename it in order to have the rpmbuild working.

10/20/06 06:23:46 changed by mrenzmann

  • status changed from closed to reopened.
  • type changed from defect to task.
  • resolution deleted.

Let's keep this open as a reminder. When I find a bit of time, I will adjust the tarball generation such that -current won't be a symlink, but a "full" tarball with correct information in madwifi.spec.

However, fixing this has currently low priority, so editing the wiki as you suggested is a good idea until this ticket gets closed.

10/20/06 06:23:55 changed by mrenzmann

  • status changed from reopened to new.
  • owner changed from pichon to mrenzmann.

12/20/07 00:57:45 changed by mentor

  • summary changed from rpmbuild doesn't work against snapshop to rpmbuild doesn't work against snapshot.